//-----------------------------------------------------------------------
// <copyright file=" cof_income.cs">
// * FileName: ICU医生护士有效收入汇总计算系数.cs 
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Performance.EntityModels	
{
    /// <summary>
    /// ICU医生护士有效收入汇总计算系数
    /// </summary>
    [Table("cof_income")]
	public class cof_income
    {
        /// <summary>
        /// 
        /// </summary>
        [Key]
		public int ID { get; set; }
    
        /// <summary>
        /// 
        /// </summary>
        public Nullable<int> AllotID { get; set; }
    
        /// <summary>
        /// 关键字匹配
        /// </summary>
        public string SheetNameKeyword { get; set; }
    
        /// <summary>
        /// 分组名称（医生、护理）
        /// </summary>
        public string UnitName { get; set; }
    
        /// <summary>
        /// 有效收入占比
        /// </summary>
        public Nullable<decimal> Value { get; set; }
    }
}
